import type { GridIterOpts2D } from "./api.js";
/**
 * Yields sequence of 2D grid coordinates along 2D Hilbert curve using given
 * `cols` and `rows` (each max. 32768 (2^15)).
 *
 * Ported & modified from original Java code by Christopher Kulla.
 * https://sourceforge.net/p/sunflow/code/HEAD/tree/trunk/src/org/sunflow/core/bucket/HilbertBucketOrder.java
 *
 * @param opts -
 */
export declare function hilbert2d(opts: GridIterOpts2D): Generator<import("./api.js").GridCoord2D, void, unknown>;
//# sourceMappingURL=hilbert.d.ts.map