import type { GridIterOpts2D } from "./api.js";
/**
 * Yields 2D grid coordinates in Z-curve (Morton) order. A perfect
 * Z-curve is only generated if `cols` AND `rows` are equal and a power
 * of 2. Due to using 32bit morton codes, only supports grid sizes up to
 * 32767 (0x7fff) in either dimension.
 *
 * @param opts -
 */
export declare function zcurve2d(opts: GridIterOpts2D): Generator<import("./api.js").GridCoord2D, void, unknown>;
//# sourceMappingURL=zcurve.d.ts.map