import type { PointTransform2D } from "./api.js";
/**
 * No-op / identity {@link PointTransform2D}.
 */
export declare const ident: PointTransform2D;
export declare const flipX: PointTransform2D;
export declare const flipY: PointTransform2D;
export declare const flipXY: PointTransform2D;
/**
 * {@link PointTransform2D} to swaps X & Y coords.
 */
export declare const swapXY: PointTransform2D;
/**
 * Higher order {@link PointTransform2D} to compose given transforms in
 * left-to-right order.
 *
 * @param a
 * @param b
 */
export declare const compTransforms: (a: PointTransform2D, b: PointTransform2D) => PointTransform2D;
//# sourceMappingURL=transforms.d.ts.map